Bug 128594 - glibc's nss_compat.so library fails to implement ldap functions
glibc's nss_compat.so library fails to implement ldap functions
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-26 17:43 EDT by Preston Wade
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-15 18:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preston Wade 2004-07-26 17:43:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
We would like to use netgroups to restrict access to machines.  But 
we would like to do this via ldap and not NIS.  This appears to be 
broken in XX2.1 and working in XX3.0.  I have some ISV that are 
certified on XX2.1 which keeps me from simply upgrading.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make the appropriate nsswitch.conf changes
2. Make the appropriate /etc/passwd changes
3. Make sure /etc/openldap/ldap.conf is configured correctly
4. Try to login to the host

Actual Results:  Could not log in.

Expected Results:  The ability to login.

Additional info:
Comment 1 Jakub Jelinek 2004-08-02 11:10:03 EDT
This is an enhancement request, not a bug report.  nis_compat was
originally intended for use with NIS only and nothing else.

To me the backport looks too risky for AS2.1 at this point.
Comment 2 Suzanne Hillman 2004-08-09 11:10:47 EDT
Internal RFE bug #129465 entered; will be considered for future releases.
Comment 3 dff 2004-08-15 18:41:36 EDT
Works in RHEL3+.  Due to the risk of the backport we're not planning
to add this enhancement for RHEL 2.1 series.

Note You need to log in before you can comment on or make changes to this bug.